using System.Collections;
using System.Collections.Generic;
using UnityEngine;
/// <summary>
/// 子流程步骤
/// </summary>
public class D_SubProcessStep : I_Enter, I_Exit
{
    public int id;
    public int schemeId;
    public int processId;
    public int subProcessId;
    public string subProcessStepName;
    public bool isPrecondition;
    public string precondition;
    public float score;
    /// <summary>
    /// 进入
    /// </summary>
    public void Enter()
    {
        UnityEngine.Debug.Log("进入当前子流程步骤:" + id + "_" + subProcessStepName);
    }
    /// <summary>
    /// 退出
    /// </summary>
    public void Exit()
    {
        UnityEngine.Debug.Log("退出当前子流程步骤:" + id + "_" + subProcessStepName);
    }
}
